> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.eyelevel.ai/reference/api-reference/health/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eyelevel.ai/_mcp/server. # get GET https://api.groundx.ai/api/v1/health/{service} Look up the current health status of a specific service. Statuses update every 5 minutes. Reference: https://docs.eyelevel.ai/reference/api-reference/health/get ## Authentication - `X-API-Key` header (required) — API Key authentication via header ## Request ### Path parameters - `service` (string, required) — The name of the service to look up. ## Response ### 200 Look up success - `health` (HealthResponseHealth, required) ## Errors ### 400 Bad Request Error Invalid service name - `any` ## Types ### HealthResponseHealth - `services` (list of HealthService, required) ### HealthService - `lastUpdate` (string, required) — The data time when the service status was last updated, in RFC3339 format - `service` (string, required) — The name of the service - `status` (enum, required) — The health status of the service - Allowed values: `healthy`, `degraded`, `down`, `unknown` ## Examples **Response** ```json { "health": { "services": [ { "lastUpdate": "2023-10-03T08:59:39.312Z", "service": "search", "status": "healthy" } ] } } ``` **SDK Code** ```python import requests url = "https://api.groundx.ai/api/v1/health/search" headers = {"X-API-Key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.groundx.ai/api/v1/health/search'; const options = {method: 'GET', headers: {'X-API-Key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.groundx.ai/api/v1/health/search" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.groundx.ai/api/v1/health/search") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-Key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.groundx.ai/api/v1/health/search") .header("X-API-Key", "") .asString(); ``` ```php request('GET', 'https://api.groundx.ai/api/v1/health/search', [ 'headers' => [ 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.groundx.ai/api/v1/health/search"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-Key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["X-API-Key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.groundx.ai/api/v1/health/search")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```